For the complete documentation index, see llms.txt. This page is also available as Markdown.

Custom email templates

List custom email templates

get

List all of custom email templates

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
get/custom_email_templates
GET /api/custom_email_templates HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "name": "USER_CREATION",
      "from": "text",
      "subject": "text",
      "body": "text"
    }
  ]
}

Add custom email template

post

Create custom email template.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestring · enumOptional

Name of the email template:
Can be either:

  • USER_CREATION: user creation notification.
  • QUEUE_CALL_LOST: call queue call lost notification.
  • QUEUE_SLA: call queue sla time reached notification.
  • QUEUE_CALLBACK: call queue callback notification.
  • QUEUE_CALLBACK_FAILED: call queue callback failed notification.
  • VOICEMAIL_RECEIVED: received voicemail notification.
  • CALL_REPORT_COMPLETED: call report completed notification.
  • DISK_LOW: low disk notification.
  • EMERGENCY_CALL: emergency call notification.
  • LICENSE_LIMITED: license limited notification.
  • RECHARGE: recharge notification.
  • CONFERENCE_INVITATION: meeting invitation notification.
  • TRUNK_CONNECTED: trunk connected notification.
  • TRUNK_DISCONNECTED: trunk disconnected notification.
Possible values:
fromstringOptional

Notification email from field.

subjectstringOptional

Notification email subject field.

bodystringOptional

Notification email body.

Responses
201

Created block code.

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
post/custom_email_templates
POST /api/custom_email_templates HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "name": "USER_CREATION",
  "from": "text",
  "subject": "text",
  "body": "text"
}
{
  "id": "NzAwNTUxOTA5NzczMTQ4MTYw"
}

Retrieve custom details of template

get

Get details of custom template by name.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestring · enumRequired

Name of the email template:
Can be either:

  • USER_CREATION: user creation notification.
  • QUEUE_CALL_LOST: call queue call lost notification.
  • QUEUE_SLA: call queue sla time reached notification.
  • QUEUE_CALLBACK: call queue callback notification.
  • QUEUE_CALLBACK_FAILED: call queue callback failed notification.
  • VOICEMAIL_RECEIVED: received voicemail notification.
  • CALL_REPORT_COMPLETED: call report completed notification.
  • DISK_LOW: low disk notification.
  • EMERGENCY_CALL: emergency call notification.
  • LICENSE_LIMITED: license limited notification.
  • RECHARGE: recharge notification.
  • CONFERENCE_INVITATION: meeting invitation notification.
  • TRUNK_CONNECTED: trunk connected notification.
  • TRUNK_DISCONNECTED: trunk disconnected notification.
Possible values:
Responses
200

OK

application/json
namestring · enumOptional

Name of the email template:
Can be either:

  • USER_CREATION: user creation notification.
  • QUEUE_CALL_LOST: call queue call lost notification.
  • QUEUE_SLA: call queue sla time reached notification.
  • QUEUE_CALLBACK: call queue callback notification.
  • QUEUE_CALLBACK_FAILED: call queue callback failed notification.
  • VOICEMAIL_RECEIVED: received voicemail notification.
  • CALL_REPORT_COMPLETED: call report completed notification.
  • DISK_LOW: low disk notification.
  • EMERGENCY_CALL: emergency call notification.
  • LICENSE_LIMITED: license limited notification.
  • RECHARGE: recharge notification.
  • CONFERENCE_INVITATION: meeting invitation notification.
  • TRUNK_CONNECTED: trunk connected notification.
  • TRUNK_DISCONNECTED: trunk disconnected notification.
Possible values:
fromstringOptional

Notification email from field.

subjectstringOptional

Notification email subject field.

bodystringOptional

Notification email body.

get/custom_email_templates/{name}
GET /api/custom_email_templates/{name} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "USER_CREATION",
  "from": "text",
  "subject": "text",
  "body": "text"
}

Update custom email template

post

Update custom email template.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestring · enumRequired

Name of the email template:
Can be either:

  • USER_CREATION: user creation notification.
  • QUEUE_CALL_LOST: call queue call lost notification.
  • QUEUE_SLA: call queue sla time reached notification.
  • QUEUE_CALLBACK: call queue callback notification.
  • QUEUE_CALLBACK_FAILED: call queue callback failed notification.
  • VOICEMAIL_RECEIVED: received voicemail notification.
  • CALL_REPORT_COMPLETED: call report completed notification.
  • DISK_LOW: low disk notification.
  • EMERGENCY_CALL: emergency call notification.
  • LICENSE_LIMITED: license limited notification.
  • RECHARGE: recharge notification.
  • CONFERENCE_INVITATION: meeting invitation notification.
  • TRUNK_CONNECTED: trunk connected notification.
  • TRUNK_DISCONNECTED: trunk disconnected notification.
Possible values:
Body
fromstringOptional

Notification email from field.

subjectstringOptional

Notification email subject field.

bodystringOptional

Notification email body.

Responses
200

OK

No content

post/custom_email_templates/{name}
POST /api/custom_email_templates/{name} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "from": "text",
  "subject": "text",
  "body": "text"
}

No content

Was this helpful?